Hooks:PostHook(WeaponTweakData, "init", "MWCtweakData", function(self)

---- Vanilla weapons ----
--Revolvers--
self.judge.categories = {"revolver","shotgun"}
self.peacemaker.categories = {"revolver","pistol"}
self.mateba.categories = {"revolver","pistol"}
self.chinchilla.categories = {"revolver","pistol"}
self.new_raging_bull.categories = {"revolver","pistol"}
self.model3.categories = {"revolver","pistol"}
--Pistols--
--Machine Pistols--
self.glock_18c.categories = {"machine_pistol","pistol"}
self.mac10.categories = {"machine_pistol","smg"}
self.mp9.categories = {"machine_pistol","smg"}
self.scorpion.categories = {"machine_pistol","smg"}
self.tec9.categories = {"machine_pistol","smg"}
self.baka.categories = {"machine_pistol","smg"}
self.sr2.categories = {"machine_pistol","smg"}
self.beer.categories = {"machine_pistol","pistol"}
self.stech.categories = {"machine_pistol","pistol"}
self.czech.categories = {"machine_pistol","pistol"}
--Carbine--
self.hajk.categories = {"carbine","assault_rifle"}
self.amcar.categories = {"carbine","assault_rifle"}
self.new_m4.categories = {"carbine","assault_rifle"}
self.g36.categories = {"carbine","assault_rifle"}
self.olympic.categories = {"carbine","assault_rifle"}
self.akmsu.categories = {"carbine","assault_rifle"}
self.s552.categories = {"carbine","assault_rifle"}
self.sub2000.categories = {"carbine","assault_rifle"}
self.tecci.categories = {"carbine","assault_rifle"}
self.komodo.categories = {"carbine","assault_rifle"}
self.ak5.categories = {"carbine","assault_rifle"}
--Battle Rifle--
self.new_m14.categories = {"battle_rifle","assault_rifle"}
self.scar.categories = {"battle_rifle","assault_rifle"}
self.fal.categories = {"battle_rifle","assault_rifle"}
self.galil.categories = {"battle_rifle","assault_rifle"}
self.g3.categories = {"battle_rifle","assault_rifle"}
self.contraband.categories = {"battle_rifle","assault_rifle"}
self.ching.categories = {"battle_rifle","assault_rifle"}
--DMR--
self.tti.categories = {"dmr","snp"}
self.siltstone.categories = {"dmr","snp"}
--Bolt-Action Rifles-- [FUTURE]
--self.nagant.categories = {"service_rifle","snp"}
--Launcher--
self.gre_m79.categories = {"launcher","grenade_launcher"}
self.rpg7.categories = {"launcher","grenade_launcher"}
self.m32.categories = {"launcher","grenade_launcher"}
self.china.categories = {"launcher","grenade_launcher"}
self.arbiter.categories = {"launcher","grenade_launcher"}
self.ray.categories = {"launcher","grenade_launcher"}
self.slap.categories = {"launcher","grenade_launcher"}

--- Akimbos ---
--Machine Pistols--
self.x_sr2.categories = {"akimbo_mp","akimbo","smg"} -- yes you can do that, fucking amazing right?
self.x_baka.categories = {"akimbo_mp","akimbo","smg"}
self.x_mac10.categories = {"akimbo_mp","akimbo","smg"}
self.x_mp9.categories = {"akimbo_mp","akimbo","smg"}
self.x_scorpion.categories = {"akimbo_mp","akimbo","smg"}
self.x_tec9.categories = {"akimbo_mp","akimbo","smg"}
self.x_g18c.categories = {"akimbo_mp","akimbo","pistol"}
self.x_beer.categories = {"akimbo_mp","akimbo","pistol"}
self.x_stech.categories = {"akimbo_mp","akimbo","pistol"}
self.x_czech.categories = {"akimbo_mp","akimbo","pistol"}

--Rifles--
self.x_akmsu.categories = {"akimbo_rifle","akimbo","assault_rifle"}
self.x_hajk.categories = {"akimbo_rifle","akimbo","assault_rifle"}
self.x_olympic.categories = {"akimbo_rifle","akimbo","assault_rifle"}

---- Custom Weapons ----
--Revolvers--
local mwc_custom_revolvers = {
	"rhino",
	"python",
	"lapd",
	"sw327r8",
	"unica6",
	"deckard",
	"triad",
	"m1895",
	"sw642",
	"kingcobra",
	"mr96",
	"peacekeeper",
	"shatters_fury",
	"m29",
	"loveisblue",
	"tf2_revolver"
}
for id, weapon_id in pairs(mwc_custom_revolvers) do 
	if self[weapon_id] then
		self[weapon_id].categories = {"revolver","pistol"}
	end
end
--Pistols--
if self.contender then
	self.contender.categories = {"pistol","grenade_launcher"}
end
--if self.goldgun then
--	self.goldgun.categories = {"pistol","wpn_special"}
--end
--Machine Pistols--
local mwc_custom_mps = {
	"aek919",
	"glau",
	"pm63",
	"kedr",
	"appistol",
	"m712",
	"minebea",
	"cbjms",
	"aps",
	"b93r",
	"pp",
	"peepee",
	"ajm",
	"czauto",
	"kard",
	"hand1960",
	"hlmp7",
	"ots_33",
	"master",
	"miniuzi",
	"sidekick",
	"mac10mpa",
	"nya",
	"lele"
}
-- Exception so the VP70Z doesn't get into Akimbo MPS
if self.vp70 then
	self.vp70.categories = {"machine_pistol","smg"}
end
for id, weapon_id in pairs(mwc_custom_mps) do 
	if self[weapon_id] then
		self[weapon_id].categories = {"machine_pistol","smg"}
	end
	weapon_id = "x_" ..weapon_id
	if self[weapon_id] then
		self[weapon_id].categories = {"akimbo_mp","akimbo","smg"}
	end
end

--local mwc_custom_smgs = {
--"r0991"
--}
if self.r0991 then 
	self.r0991.categories = {"smg"}
end

-- Primary SMG
local mwc_custom_primary_smgs = {
	"m7caseless_prim",
	"m20pdw_prim"
}
for id, weapon_id in pairs(mwc_custom_primary_smgs) do 
	if self[weapon_id] then
		self[weapon_id].use_data.selection_index = 2
	end
end


local mwc_custom_carbines = {
	"sr3m",
	"stealthy",
	"ots_14_4a",
	"m4a1s",
	"x95",
	"sg552",
	"m1c",
	"heffy_939",
	"dl",
	"r0933blk",
	"patriot",
	"ak556",
	"qbz97b",
	"plr16",
	"k1a7", -- >:( Its not a SMG just because it replaces one in service Korea
	"pdw",
	"pdr",
	"lkrifle",
	"mini14",
	"sks",
	"skspug",
	"416",
	"bajur",
	"vz58comp",
	"op68",
	"drongo",
	"shieldgirl",
	"mikon",
	"mk18s",
	"bastard",
	"rabbit",
	"m4cqb",
	"betty",
	"raifu",
	"m1a1",
	"mk18prim",
	"sc26a",
	"ak_krink_545",
	"fckmyfingers",
	"nightgoddess"
}
for id, weapon_id in pairs(mwc_custom_carbines) do 
	if self[weapon_id] then
		self[weapon_id].categories = {"carbine","assault_rifle"}
	end
	weapon_id = "x_" ..weapon_id
	if self[weapon_id] then
		self[weapon_id].categories = {"akimbo_rifle","akimbo","assault_rifle"}
	end
end

local mwc_custom_brs = {
	"g3m203",
	"fusil_762",
	"galilace762",
	"m14e2",
	"bulldoge",
	"srss762",
	"sg510",
	"ash",
	"mdr",
	"hcar",
	"ar60mrks",
	"mxg",
	"g43",
	"m4_beowulf",
	"l1a1",
	"svt40",
	"recce",
	"mas49",
	"tkpd",
	"mk17",
	"obr7",
	"br55",
	"br85"
}
for id, weapon_id in pairs(mwc_custom_brs) do 
	if self[weapon_id] then
		self[weapon_id].categories = {"battle_rifle","assault_rifle"}
	end
	weapon_id = "x_" ..weapon_id
	if self[weapon_id] then
		self[weapon_id].categories = {"akimbo_rifle","akimbo","assault_rifle"}
	end
end

local mwc_custom_dmrs = {
	"sr25",
	"qbu88",
	"xm21",
	"mk12",
	"svu",
	"fnar",
	"svd",
	"hugsforleon",
	"kozak",
	"wargoddess",
	"rsass",
	"leet",
	"reachdmr",
	"m395dmr"
}
for id, weapon_id in pairs(mwc_custom_dmrs) do 
	if self[weapon_id] and self[weapon_id].categories == "snp" then
		self[weapon_id].categories = {"dmr","snp"}
	elseif self[weapon_id] then
		self[weapon_id].categories = {"dmr","assault_rifle"}
	end
end

--[[
local mwc_custom_servrifles = {
	"k31",
	"kar98k",
	"enfield_no4i",
	"enfield_no5i",
	"arisaka38",
	"spring",
	"dl"
}
for id, weapon_id in pairs(mwc_custom_servrifles) do 
	if self[weapon_id] then
		self[weapon_id].categories = {"service_rifle","snp"}
	end
end
]]

local mwc_custom_launchers = {
	"hx25",
	"pschreck",
	"piat",
	"stinger",
	"inkunzi",
	"smaw",
	"m320",
	"rpg7primary",
	"m32_beakimbo",
	"ray_beakimbo",
	"tf2_rl"
}
for id, weapon_id in pairs(mwc_custom_launchers) do 
	if self[weapon_id] then
		self[weapon_id].categories = {"launcher","grenade_launcher"}
	end
end

local mwc_custom_akimbo_rifles = {
	"x_asval",
	"x_s552",
	"x_amcar",
	"x_g36",
	"x_m16",
	"x_m70",
	"x_akm",
	"x_akm_gold",
	"x_ak74",
	"x_rpk",
	"x_m249"
}
for id, weapon_id in pairs(mwc_custom_akimbo_rifles) do 
	if self[weapon_id] then
		self[weapon_id].categories = {"akimbo_rifle","akimbo","assault_rifle"}
	end
end

--Guns that used a primary pistol category
local mwc_custom_akimbo_handguns = {
	"x_raging",
	"x_peace",
	"x_mateba",
	"x_lemming",
	"x_beagle"
}
for id, weapon_id in pairs(mwc_custom_akimbo_handguns) do 
	if self[weapon_id] then
		self[weapon_id].categories = {"akimbo","pistol"}
	end
end
if self.x_s12 then
	self.x_s12.categories = {"akimbo","shotgun"}
end
if self.x_uber then
	self.x_uber.categories = {"minigun"}
end
if self.x_mech then
	self.x_mech.categories = {"minigun"}
end
--[[
local mwc_custom_special = {
	"unirifle",
	"auto_cross",
	"watergun",
	"nes"
}
]]
if self.unirifle then
	self.unirifle.categories = {"wpn_special","assault_rifle"}
end
if self.toym16 then
	self.toym16.categories = {"wpn_special","assault_rifle"}
end
if self.toy1911 then
	self.toy1911.categories = {"wpn_special","pistol"}
end

if self.auto_cross then
	self.auto_cross.categories = {"wpn_special","crossbow"}
end
if self.watergun then
	self.watergun.categories = {"wpn_special","pistol"}
end
if self.nes then
	self.nes.categories = {"wpn_special","pistol"}
end
if self.fortress then
	self.fortress.categories = {"wpn_special","assault_rifle"}
end
if self.vick then
	self.vick.categories = {"lmg","wpn_special"}
end


end )